Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update customer statuse

PATCH/workspaces/{organizationId}/customer-statuses/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
namestring
min length 1
keystring
min length 1
typestring
Allowed:activeterminal
colorstring
positionnumber
Responses
200

Status updated

idstringrequired
organizationIdstringrequired
namestringrequired
keystring | nullrequired
typestringrequired
colorstring | nullrequired
positionnumberrequired
createdAtstringrequired
404

Status not found

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://pile.nyc/workspaces/string/customer-statuses/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "key": "string",
  "type": "active",
  "color": "string",
  "position": 0
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "key": "string",
  "type": "string",
  "color": "string",
  "position": 0,
  "createdAt": "string"
}

Was this page helpful?